# 321

## problem 1


- df displays the space avialble in a file system 

- du gives the usage of a set of files  -a writes the count for all the files not just the directries

- fdisk is used to create and manipulate partition tables -p is used to print the partition table

- file attempts to categorizes by performing tests on arguments -e is used to exclude the testnames from the test

- mkfs is used to create file systems -t is used to define the type of file system to be built

- mkswap  is used to set up swap area -l used to define a lable for swapon

- mount is used to attach a file system to a big tree of file heirarchy -t is used to define the type of device

- swapon is used to deefine the devices on which swaping and pagging are to take place -l is used to swaapon on the given label

- umount is used to detach the file system from the file hierarchy


## problem 2

- ![1.](https://drive.google.com/file/d/19pkpqZCxcypcUcFS1J-klE4LpxYrvYjO/view?usp=sharing "a")

- 3. Block with the name sda corresponds to primary disk and sdb corresponds to seconday storage I can tell by printing the partition table of memory in the terminal

- 4  ![primary & secondary](https://drive.google.com/file/d/1EzgeJ-YawpFEGtMnouQOnsiQw44vWRJj/view?usp=sharing)  the three lines following the refrence to sda are about the unit of sector and I/O being 512 bytes  and then Sda is referred as dos

- 5 ![using file](https://drive.google.com/file/d/1DGuseOtm5_lrRU1qCUwcCukKFLHF1FHR/view?usp=sharing)

## Problem 3 

- ![2](https://drive.google.com/file/d/1hvDVmTaxcql4WrbYwqgqe8lS3ZeokpAu/view?usp=sharing)

- 5 (a)Logical partition is virtualizattion of a subset of computer's hardware as if it is a separatae computer
     (b) sdb1 and sdb2
      (c) sdb3 and sdb5

## Problem 4

- 1. sdb1 , sdb2 and sdb3
- 2,3 ![""](https://drive.google.com/file/d/11stONuN6E01p0vymkBtio6l-VqygTa1b/view?usp=sharing)
- 4,5 ![""](https://drive.google.com/file/d/1YiK8dQEuDzhot9e9orwcu9gAucsB48iK/view?usp=sharing)
- 6,7 ![""](https://drive.google.com/file/d/16ECDnbF6EWGSgjEKfaHzGU-XfKzjx2fA/view?usp=sharing) 
- 8,9 ![""](https://drive.google.com/file/d/1uuyFR3LrBhj4RN6a4PBsssoKdWq7iBq5/view?usp=sharing)

## problem 5

- 1. ![](https://drive.google.com/file/d/1uuyFR3LrBhj4RN6a4PBsssoKdWq7iBq5/view?usp=sharing)
